lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael McCandless <luc...@mikemccandless.com>
Subject Re: [VOTE] Release PyLucene 3.1.0
Date Wed, 06 Apr 2011 22:40:02 GMT
On Wed, Apr 6, 2011 at 6:38 PM, Andi Vajda <vajda@apache.org> wrote:
>
> On Wed, 6 Apr 2011, Bill Janssen wrote:
>
>> Andi Vajda <vajda@apache.org> wrote:
>>
>>> Unless I'm missing something here, you've got two options before you
>>> break your users:
>>>  1. fix your code before you ship it to them
>>
>> Unfortunately, the code is out there for building, and the instructions,
>> also already out there, say, "PyLucene 2.4 to 3.X".  I should be more
>> careful :-).
>
> Given that APIs changed quite a bit between 2.x and 3.0 and that 2.x
> deprecated APIs are removed from 3.1+ (unless I'm confused about Lucene's
> deprecation policy (*)), your statement is a bit optimistic.
>
> (*) maybe it's not until 4.0 that they're going to be removed ? I can't
>    remember at the moment. Mike, if you read this, can you please correct
>    me if I'm wrong ?

Actually, any API deprecated in any Lucene 2.x release is removed in
3.0.  (Same for 3.x to 4.0, etc.).

Mike

http://blog.mikemccandless.com

Mime
View raw message